Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#58487 - [python-numpy] needs rebuild against gcc-libs 8.1.0

Attached to Project: Arch Linux
Opened by Daniel Bermond (Bermond) - Monday, 07 May 2018, 18:24 GMT
Last edited by Bartłomiej Piotrowski (Barthalion) - Monday, 07 May 2018, 19:43 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

An error occurs when trying to import the 'multiarray' python module from python-numpy and python2-numpy.

It seeks for libgfortran.so.4, but this library was replaced by libgfortran.so.5 during the gcc7 -> gcc8 upgrade.

Additional info:
* package version(s)
* config and/or log files etc.

python-numpy 1.14.3-1
gcc-libs 8.1.0-1

Steps to reproduce:
$ python
>>> from numpy import multiarray
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/numpy/core/__init__.py", line 16, in <module>
from . import multiarray
ImportError: libgfortran.so.4: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "/usr/lib/python3.6/site-packages/numpy/__init__.py", line 142, in <module>
from . import add_newdocs
File "/usr/lib/python3.6/site-packages/numpy/add_newdocs.py", line 13, in <module>
from numpy.lib import add_newdoc
File "/usr/lib/python3.6/site-packages/numpy/lib/__init__.py", line 8, in <module>
from .type_check import *
File "/usr/lib/python3.6/site-packages/numpy/lib/type_check.py", line 11, in <module>
import numpy.core.numeric as _nx
File "/usr/lib/python3.6/site-packages/numpy/core/__init__.py", line 26, in <module>
raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
If you're working with a numpy git repo, try `git clean -xdf` (removes all
files not under version control). Otherwise reinstall numpy.

Original error was: libgfortran.so.4: cannot open shared object file: No such file or directory
This task depends upon

Closed by  BartÅ‚omiej Piotrowski (Barthalion)
Monday, 07 May 2018, 19:43 GMT
Reason for closing:  Not a bug
Additional comments about closing:  No package in official repositories links to libgfortran.so.4.

Loading...